# -*- encoding: utf-8 -*-
# stub: cheffish 17.1.5 ruby lib

Gem::Specification.new do |s|
  s.name = "cheffish".freeze
  s.version = "17.1.5".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Chef Software Inc.".freeze]
  s.date = "2023-01-03"
  s.description = "A set of Chef resources for configuring Chef Infra.".freeze
  s.email = "oss@chef.io".freeze
  s.files = ["Gemfile".freeze, "LICENSE".freeze, "Rakefile".freeze, "cheffish.gemspec".freeze, "lib/chef/resource/chef_acl.rb".freeze, "lib/chef/resource/chef_client.rb".freeze, "lib/chef/resource/chef_container.rb".freeze, "lib/chef/resource/chef_data_bag.rb".freeze, "lib/chef/resource/chef_data_bag_item.rb".freeze, "lib/chef/resource/chef_environment.rb".freeze, "lib/chef/resource/chef_group.rb".freeze, "lib/chef/resource/chef_mirror.rb".freeze, "lib/chef/resource/chef_node.rb".freeze, "lib/chef/resource/chef_organization.rb".freeze, "lib/chef/resource/chef_resolved_cookbooks.rb".freeze, "lib/chef/resource/chef_role.rb".freeze, "lib/chef/resource/chef_user.rb".freeze, "lib/chef/resource/private_key.rb".freeze, "lib/chef/resource/public_key.rb".freeze, "lib/cheffish.rb".freeze, "lib/cheffish/array_property.rb".freeze, "lib/cheffish/base_properties.rb".freeze, "lib/cheffish/base_resource.rb".freeze, "lib/cheffish/basic_chef_client.rb".freeze, "lib/cheffish/chef_actor_base.rb".freeze, "lib/cheffish/chef_run.rb".freeze, "lib/cheffish/chef_run_data.rb".freeze, "lib/cheffish/chef_run_listener.rb".freeze, "lib/cheffish/key_formatter.rb".freeze, "lib/cheffish/merged_config.rb".freeze, "lib/cheffish/node_properties.rb".freeze, "lib/cheffish/recipe_dsl.rb".freeze, "lib/cheffish/rspec.rb".freeze, "lib/cheffish/rspec/chef_run_support.rb".freeze, "lib/cheffish/rspec/matchers.rb".freeze, "lib/cheffish/rspec/matchers/be_idempotent.rb".freeze, "lib/cheffish/rspec/matchers/emit_no_warnings_or_errors.rb".freeze, "lib/cheffish/rspec/matchers/have_updated.rb".freeze, "lib/cheffish/rspec/matchers/partially_match.rb".freeze, "lib/cheffish/rspec/recipe_run_wrapper.rb".freeze, "lib/cheffish/rspec/repository_support.rb".freeze, "lib/cheffish/server_api.rb".freeze, "lib/cheffish/version.rb".freeze, "lib/cheffish/with_pattern.rb".freeze, "spec/functional/fingerprint_spec.rb".freeze, "spec/functional/merged_config_spec.rb".freeze, "spec/functional/server_api_spec.rb".freeze, "spec/integration/chef_acl_spec.rb".freeze, "spec/integration/chef_client_spec.rb".freeze, "spec/integration/chef_container_spec.rb".freeze, "spec/integration/chef_data_bag_item_spec.rb".freeze, "spec/integration/chef_group_spec.rb".freeze, "spec/integration/chef_mirror_spec.rb".freeze, "spec/integration/chef_node_spec.rb".freeze, "spec/integration/chef_organization_spec.rb".freeze, "spec/integration/chef_role_spec.rb".freeze, "spec/integration/chef_user_spec.rb".freeze, "spec/integration/private_key_spec.rb".freeze, "spec/integration/recipe_dsl_spec.rb".freeze, "spec/integration/rspec/converge_spec.rb".freeze, "spec/support/key_support.rb".freeze, "spec/support/spec_support.rb".freeze, "spec/unit/get_private_key_spec.rb".freeze, "spec/unit/recipe_run_wrapper_spec.rb".freeze]
  s.homepage = "https://github.com/chef/cheffish".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 3.0".freeze)
  s.rubygems_version = "3.1.4".freeze
  s.summary = "A set of Chef resources for configuring Chef Infra.".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<chef-zero>.freeze, [">= 14.0".freeze])
  s.add_runtime_dependency(%q<chef-utils>.freeze, [">= 17.0".freeze])
  s.add_runtime_dependency(%q<net-ssh>.freeze, [">= 0".freeze])
end

